<?php

class Leitura extends TRecord
{
    const TABLENAME = 'tbl_leitura';
    const PRIMARYKEY= 'id';
    const IDPOLICY =  'max'; // {max, serial}

    use SystemChangeLogTrait;

    public function __construct($id = NULL)
    {
        parent::__construct($id);
        parent::addAttribute('dia');
        parent::addAttribute('maquina');
        parent::addAttribute('id_ponto');
        parent::addAttribute('id_movi');
        parent::addAttribute('ini_entra');
        parent::addAttribute('ini_sai');
        parent::addAttribute('fim_entra');
        parent::addAttribute('fim_sai');
        parent::addAttribute('credito');
        parent::addAttribute('usuario');
    }

}
?>